<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <Platforms>AnyCPU;x64</Platforms>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Fonts\SCDream1.otf" />
    <None Remove="Fonts\SCDream2.otf" />
    <None Remove="Fonts\SCDream3.otf" />
    <None Remove="Fonts\SCDream4.otf" />
    <None Remove="Fonts\SCDream5.otf" />
    <None Remove="Fonts\SCDream6.otf" />
    <None Remove="Fonts\SCDream7.otf" />
    <None Remove="Fonts\SCDream8.otf" />
    <None Remove="Fonts\SCDream9.otf" />
    <None Remove="Resources\Images\arrow_down.png" />
    <None Remove="Resources\Images\arrow_up.png" />
    <None Remove="Resources\Images\ListImage.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_1.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_1_press.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_2.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_2_press.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_3.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_3_press.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_4.png" />
    <None Remove="Resources\Images\SegmentedControl\select_btn_4_press.png" />
    <None Remove="Resources\Images\tab_bg.png" />
    <None Remove="Resources\Images\tab_bg_off.png" />
    <None Remove="Resources\Images\top_bg.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="FFmpeg.AutoGen" Version="7.1.1" />
    <PackageReference Include="MaterialDesignColors" Version="5.2.1" />
    <PackageReference Include="MaterialDesignThemes" Version="5.2.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.8" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.8">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.8" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.8">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="OxyPlot.Wpf" Version="2.2.0" />
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="9.0.0-rc.1.efcore.9.0.0" />
    <PackageReference Include="System.Drawing.Common" Version="9.0.8" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Fonts\SCDream1.otf" />
    <Resource Include="Fonts\SCDream2.otf" />
    <Resource Include="Fonts\SCDream3.otf" />
    <Resource Include="Fonts\SCDream4.otf" />
    <Resource Include="Fonts\SCDream5.otf" />
    <Resource Include="Fonts\SCDream6.otf" />
    <Resource Include="Fonts\SCDream7.otf" />
    <Resource Include="Fonts\SCDream8.otf" />
    <Resource Include="Fonts\SCDream9.otf" />
    <Resource Include="Resources\Images\arrow_down.png" />
    <Resource Include="Resources\Images\arrow_up.png" />
    <Resource Include="Resources\Images\ListImage.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_1.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_1_press.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_2.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_2_press.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_3.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_3_press.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_4.png" />
    <Resource Include="Resources\Images\SegmentedControl\select_btn_4_press.png" />
    <Resource Include="Resources\Images\tab_bg.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\Images\tab_bg_off.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\Images\top_bg.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>

</Project>
